using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class updatetablePeriodExamsaddannouncementexam : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "AnnouncementExam",
                table: "PeriodExams",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "ประกาศนี้มีสมัครสอบคัดเลือก");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AnnouncementExam",
                table: "PeriodExams");
        }
    }
}
